Last modified: 2014-02-12 23:35:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 42238 - Expose in UI the page id link (permalink to this page) of a page by adding it to the respective action=info
Expose in UI the page id link (permalink to this page) of a page by adding it...
Status: NEW
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
unspecified
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 16362 38561
Blocks: 21572 38450
  Show dependency treegraph
 
Reported: 2012-11-18 10:54 UTC by Nemo
Modified: 2014-02-12 23:35 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-11-18 10:54:59 UTC
There's already the ID, but not an actual link.
This could be an easy way to address bug 21572 at least in part.
Comment 1 Quim Gil 2013-03-07 17:26:45 UTC
This request would benefit from a bit clearer summary and description.

PS: found during https://www.mediawiki.org/wiki/Bug_management/Triage/20130307
Comment 2 Bartosz Dziewoński 2013-10-18 19:06:02 UTC
The current revision is linked in the "Edit history" section in the "Date of latest edit" field. The curid itself doesn't look like a valuable piece of information otherwise.
Comment 3 Nemo 2013-10-18 19:16:03 UTC
(In reply to comment #2)
> The current revision is linked in the "Edit history" section in the "Date of
> latest edit" field. 

Do you mean oldid?

> The curid itself doesn't look like a valuable piece of
> information otherwise.

Why? Have you read the dependency? Reopening pending explanation.
Comment 4 Bartosz Dziewoński 2013-10-18 19:45:14 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > The current revision is linked in the "Edit history" section in the "Date of
> > latest edit" field. 
> 
> Do you mean oldid?

This is actually the same thing as curid, isn't it?

> > The curid itself doesn't look like a valuable piece of
> > information otherwise.
> 
> Why? Have you read the dependency? Reopening pending explanation.

What dependency? They're both marked as fixed.
Comment 5 Nemo 2013-10-18 19:53:58 UTC
(In reply to comment #4)
> This is actually the same thing as curid, isn't it?

Definitely not; curid is page_id, oldid is rev_id.

> What dependency? They're both marked as fixed.

Bug 21572: action=info already provides the page ID, but not in the form of a curid link, which could be used as short permalink to the page (as opposed to permalink to a specific revision of it). We're definitely not exposing this sort of permalinking feature in the UI, so it can't be a WORKSFORME; of course it may be a bad idea, in which case it would be a WONTFIX. :)
Comment 6 Bartosz Dziewoński 2013-10-18 21:16:33 UTC
Blarghfrpft. Okay. I was confused by the "permalink to last revision" part in bug summary. I'm rephrasing it (again), not sure if it's any better though. You should probably implement it yourself to avoid further misunderstandings :P
Comment 7 MZMcBride 2013-10-19 13:36:04 UTC
For what it's worth, I still don't know what's being asked here. I'm not sure this should be tagged with the "easy" keyword.
Comment 8 Jesús Martínez Novo (Ciencia Al Poder) 2013-10-19 13:44:04 UTC
(In reply to comment #7)
> For what it's worth, I still don't know what's being asked here. I'm not sure
> this should be tagged with the "easy" keyword.

From the bug summary, I think they want to add the "permalink" of the page to action=info (example page: https://www.mediawiki.org/w/index.php?title=Project:Sandbox&action=info )

Maybe add a new row to the pageinfo-header-basic with the current ID and make that ID a link?

Anyway, I'd put the +easy keyword only when the design decision of where and how display that link has been made. Making the decision during the code-review process would be frustrating for a new developer.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links